#
# Sensus Consulting Ltd, Copyright 1997-1998
#
# Matt Newman <matt@sensus.org>
#

namespace eval url {}
namespace eval url::tk {
	set icons(default)	[img tk]
}

proc url::tk {option args} {return [eval url::tk::$option $args]}

;proc url::tk::children {path {glob *}} {
	if {$path == ""} {set path .}
	set tmp [winfo children $path]
	set ret {}
	foreach w [winfo children $path] {
		set w [tail $w]
		if [string match $glob $w] {
			lappend ret $w
		}
	}
	return $ret
}
;proc url::tk::iscontainer {path} {
	return 1
}
;proc url::tk::configure {path} {
	variable icons

	return [list -name [tail $path] \
			-container 1 -image $icons(default) \
			-size 0 -mtime 0 -type tk]
}
;proc url::tk::join {path key} {
	return "$path.$key"
}
;proc url::tk::parent {path} {
	return [winfo parent $path]
}
;proc url::tk::split {path} {
	return [::split $path .]
}
;proc url::tk::tail {path} {
	return [lindex [split $path] end]
}
